Memberships
List an organization's membership histories
Lists the computed membership-history records for a single organization.
Same resource shape as GET /organization_membership_histories.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
organization_id*string
Organization UUID.
Query Parameters
include?string
Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.
sort?string
Comma-separated list of attributes to sort by. Prefix with - for
descending order (-created_at,family_name).
page?
Offset pagination parameters.
filter?
Filter predicates on OrganizationMembershipHistory
attributes (see GET /organization_membership_histories).
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/membership_histories"{ "data": [ { "type": "organization_membership_histories", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attributes": { "category": "string", "status": "string", "member_since": "2019-08-24T14:15:22Z", "current_starts_at": "2019-08-24T14:15:22Z", "current_ends_at": "2019-08-24T14:15:22Z", "current_expires_at": "2019-08-24T14:15:22Z", "latest_created_at": "2019-08-24T14:15:22Z", "latest_updated_at": "2019-08-24T14:15:22Z", "continuous_starts_at": "2019-08-24T14:15:22Z", "continuous_ends_at": "2019-08-24T14:15:22Z", "max_ends_at": "2019-08-24T14:15:22Z", "previous_continuous_ends_at": "2019-08-24T14:15:22Z", "previous_lapsed_duration_days": 0 }, "relationships": { "organization": { "data": { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "../dictionary", "related": "../dictionary" } }, "latest_membership_entries": { "data": [ { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "links": { "self": "../dictionary", "related": "../dictionary" } }, "membership_entries": { "data": [ { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "links": { "self": "../dictionary", "related": "../dictionary" } } }, "links": { "property1": "/organization_membership_histories/7247ad7d-9275-454b-9e3a-0570e403739e", "property2": "/organization_membership_histories/7247ad7d-9275-454b-9e3a-0570e403739e" } } ], "meta": { "page": { "total_items": 0, "total_pages": 0, "number": 0, "size": 0 } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}